/* ************************************************************************
 *
 * CookieKeeper - a Mozilla add-on
 * (c) 2013-2016 Yvon TANGUY
 *
 * ***** BEGIN LICENSE BLOCK **********************************************
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * ***** END LICENSE BLOCK **********************************************
 *
 * Preferences panel common.
 *
 * ************************************************************************
 */

"use strict";

// CookieKeeper preferences

var gCookieKeeperPrefsPane = {

  init: function() {
    // log.d("gCookieKeeperPrefsPane.init()");
    var pService = Cc["@mozilla.org/preferences-service;1"].getService(Ci.nsIPrefService);
    var cbNoAustralisPanel = document.getElementById("cbNoAustralisPanel");

    if (cbNoAustralisPanel && APP_MOZ_CONST[Services.appinfo.ID].NAME != FIREFOX) {
      cbNoAustralisPanel.hidden = true;
    }
  }
};
